#include "variav.h"
#include <stdio.h>

/* -----------------
 * -> print_places()
 * imprime no lugar onde as pecas estao
 * ----------------- */
void print_places(int turned)
{
    int i,j;

/* para debugar */
#ifdef DEBUG
    gotoxy(26,5);
    printf("pos_x: %2d",pos_x);
    gotoxy(26,6);
    printf("pos_y: %2d",pos_y);
    gotoxy(26,7);
    printf("piece: %d",piece);
    gotoxy(26,8);
    printf("next: %d",next);
#endif

    /* apaga a peca anterior */
    if(turned==0) {
        for(i=0;i<=3;i++) {
            for(j=0;j<=3;j++) {
                if((old_pos_x+i<=COLS)&&(old_pos_y+j<=LINES)&&(old_pos_x+i>0)) {
                    if(current_draw[j][i]>0) {
                        gotoxy((old_pos_x+i)*2,old_pos_y+j);
                        printf("  ");
                    }
                }
            }
        }
    } else if(turned==1) {
        for(i=0;i<=3;i++) {
            for(j=0;j<=3;j++) {
                if((old_pos_x+i<=COLS)&&(old_pos_y+j<=LINES)&&(old_pos_x+i>0)) {
                    if(old_draw[j][i]>0) {
                        gotoxy((old_pos_x+i)*2,old_pos_y+j);
                        printf("  ");
                    }
                }
            }
        }
        turned = 0;
    }

    /* imprime a nova peca */
    for(i=0;i<=3;i++) {
        for(j=0;j<=3;j++) {
            if((pos_x+i<=COLS)&&(pos_y+j<=LINES)&&(pos_x+i>0)) {
                if(current_draw[j][i]>0) {
                    gotoxy((pos_x+i)*2,pos_y+j);
                    textcolor(current_draw[j][i]);
                    cprintf("%c%c",CARAC,CARAC);
                }
            }
        }
    }
}

/* -----------------
 * -> print_deleted_lines()
 * apaga as linhas da tela
 * ----------------- */
void print_deleted_lines()
{
    register int i,j;

    for(i=1;i<=COLS;i++) {
        for(j=1;j<=LINES;j++) {
            if(old_board[i][j]!=board[i][j]) {
                gotoxy((i*2),j);
                if(board[i][j]>0){
                    textcolor(board[i][j]);
                    cprintf("%c%c",CARAC,CARAC);
                }
                else
                    printf("  ");
            }
        }
    }
    gotoxy(33,3);
    printf("%8d",score);
}

/* -----------------
 * -> game_over()
 * fim do jogo
 * ----------------- */
void game_over()
{
    printf("\nGAME OVER!!!\n");
    exit(0);
}

/* ----------------
 * -> show_next_piece(int next)
 * proxima peca a cair
 * ---------------- */
void show_next_piece(int prox)
{
    int i,j;

    textcolor(color[prox]);
    for(i=0;i<=3;i++) {
       for(j=0;j<=3;j++) {
	  gotoxy(26+(j*2),5+i);
	  if(draw[prox][j][i]>0)
	    cprintf("%c%c",CARAC,CARAC);
          else
	    printf("  ");
       }
    }
}


